| Home | Libraries | People | FAQ | More

## Struct template unary_minus_typeof_helper

boost::units::unary_minus_typeof_helper

## Synopsis

    // In header: <boost/units/operators.hpp>

    template<typename X>
    struct unary_minus_typeof_helper {

      // public member functions
      typedef typeof((-typeof_::make< X >()));
    };

## Description

### `unary_minus_typeof_helper` public member functions

1.     typedef typeof((-typeof_::make< X >()));